curl --request GET \
--url 'https://api-prod.usefini.com/v2/test-sets/fields-context/public' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch('https://api-prod.usefini.com/v2/test-sets/fields-context/public', {
method: 'GET',
headers: {
Authorization: 'Bearer fini_your_api_key'
}
});
const fieldsContext = await response.json();
import requests
response = requests.get(
"https://api-prod.usefini.com/v2/test-sets/fields-context/public",
headers={"Authorization": "Bearer fini_your_api_key"},
)
fields_context = response.json()
{
"defaultCriteria": [
{
"id": "96eab02d-3bc3-4b90-ae5b-1a41a1444afa",
"testSetId": null,
"companyId": null,
"defaultCriterionId": null,
"name": "Goal resolution",
"type": "complex_judge",
"judgePrompt": "Judge whether the conversation resolved the user's goal.",
"passPrompt": "The user's goal was resolved.",
"failPrompt": "The user's goal was not resolved.",
"condition": null,
"blocking": true,
"isActive": true,
"createdAt": "2026-07-28T08:00:00.000Z",
"updatedAt": "2026-07-28T08:00:00.000Z"
}
],
"contextFields": [
{
"path": "knowledgeSearchUsed",
"dataType": "boolean"
},
{
"path": "replyTypes",
"dataType": "array",
"values": ["message", "internal_note", "no_reply"]
}
],
"operatorTypes": ["==", "!=", ">", ">=", "<", "<=", "contains", "before", "after", "in", "not_in", "is_null", "is_not_null", "is_empty", "is_not_empty"],
"quantifierTypes": ["ANY", "ALL", "NONE"]
}
Test Sets
Get fields context
Read default criteria and deterministic-condition fields for Test Suite criteria.
GET
/
v2
/
test-sets
/
fields-context
/
public
curl --request GET \
--url 'https://api-prod.usefini.com/v2/test-sets/fields-context/public' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch('https://api-prod.usefini.com/v2/test-sets/fields-context/public', {
method: 'GET',
headers: {
Authorization: 'Bearer fini_your_api_key'
}
});
const fieldsContext = await response.json();
import requests
response = requests.get(
"https://api-prod.usefini.com/v2/test-sets/fields-context/public",
headers={"Authorization": "Bearer fini_your_api_key"},
)
fields_context = response.json()
{
"defaultCriteria": [
{
"id": "96eab02d-3bc3-4b90-ae5b-1a41a1444afa",
"testSetId": null,
"companyId": null,
"defaultCriterionId": null,
"name": "Goal resolution",
"type": "complex_judge",
"judgePrompt": "Judge whether the conversation resolved the user's goal.",
"passPrompt": "The user's goal was resolved.",
"failPrompt": "The user's goal was not resolved.",
"condition": null,
"blocking": true,
"isActive": true,
"createdAt": "2026-07-28T08:00:00.000Z",
"updatedAt": "2026-07-28T08:00:00.000Z"
}
],
"contextFields": [
{
"path": "knowledgeSearchUsed",
"dataType": "boolean"
},
{
"path": "replyTypes",
"dataType": "array",
"values": ["message", "internal_note", "no_reply"]
}
],
"operatorTypes": ["==", "!=", ">", ">=", "<", "<=", "contains", "before", "after", "in", "not_in", "is_null", "is_not_null", "is_empty", "is_not_empty"],
"quantifierTypes": ["ANY", "ALL", "NONE"]
}
Returns default criteria plus the deterministic-condition fields, operators, and quantifiers supported by the workspace.
Headers
string
required
Bearer token containing your Fini workspace API key. Format:
Bearer fini_... The key needs read scope.Response
array
Fini-provided criteria that can be copied into a test set by sending
defaultCriterionId to Add criteria.array
Deterministic-condition fields available for the workspace.
string[]
Operators supported by deterministic conditions.
string[]
Quantifiers supported for array-style deterministic conditions.
curl --request GET \
--url 'https://api-prod.usefini.com/v2/test-sets/fields-context/public' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch('https://api-prod.usefini.com/v2/test-sets/fields-context/public', {
method: 'GET',
headers: {
Authorization: 'Bearer fini_your_api_key'
}
});
const fieldsContext = await response.json();
import requests
response = requests.get(
"https://api-prod.usefini.com/v2/test-sets/fields-context/public",
headers={"Authorization": "Bearer fini_your_api_key"},
)
fields_context = response.json()
{
"defaultCriteria": [
{
"id": "96eab02d-3bc3-4b90-ae5b-1a41a1444afa",
"testSetId": null,
"companyId": null,
"defaultCriterionId": null,
"name": "Goal resolution",
"type": "complex_judge",
"judgePrompt": "Judge whether the conversation resolved the user's goal.",
"passPrompt": "The user's goal was resolved.",
"failPrompt": "The user's goal was not resolved.",
"condition": null,
"blocking": true,
"isActive": true,
"createdAt": "2026-07-28T08:00:00.000Z",
"updatedAt": "2026-07-28T08:00:00.000Z"
}
],
"contextFields": [
{
"path": "knowledgeSearchUsed",
"dataType": "boolean"
},
{
"path": "replyTypes",
"dataType": "array",
"values": ["message", "internal_note", "no_reply"]
}
],
"operatorTypes": ["==", "!=", ">", ">=", "<", "<=", "contains", "before", "after", "in", "not_in", "is_null", "is_not_null", "is_empty", "is_not_empty"],
"quantifierTypes": ["ANY", "ALL", "NONE"]
}
Was this page helpful?
⌘I

